Debian Bug report logs - #392333
RFP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Faidon Liambotis <paravoid@debian.org>

Date: Wed, 11 Oct 2006 10:18:09 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, daniel@debian.org, <wnpp@debian.org>, jan wagner <waja@cyconet.org>:
Bug#392333; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, daniel@debian.org, <wnpp@debian.org>, jan wagner <waja@cyconet.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: irrtoolset -- IRRToolSet is a suite of policy analysis tools to operate with routing policies in RPSL [RFC 2622] format, registered in Internet Routing Registry(IRR).
Date: Wed, 11 Oct 2006 12:11:55 +0200
Package: wnpp
Severity: wishlist
Owner: Jan Wagner <waja@cyconet.org>

* Package name    : irrtoolset
  Version         : 4.8.4
  Upstream Author : Joao Damas <Joao_Damas@isc.org>
* URL             : http://www.isc.org/index.pl?/sw/IRRToolSet/
* License         : 3-clause BSD with non-commercial only restriction
  Programming Lang: 
  Description     : IRRToolSet is a suite of policy analysis tools to operate with routing policies in RPSL [RFC 2622] format, registered in Internet Routing Registry(IRR).

 The "Internet Routing Registry Toolset" (IRRToolSet) project is a new
 activity proposed by the RIPE NCC. This project has been migrated from
 the USC Information Sciences Institute, where it was developed in
 1997-2001 as the "Routing Arbiter ToolSet" (RAToolSet)  project. As the
 RAToolSet is no longer developed by ISI but is used worldwide, the RIPE
 NCC proposed to migrate this project to the RIPE NCC in order to continue
 its development and support. The original name of the project was preserved
 during the transition process, but has been finally changed to IRRToolSet.
 Currently, the RIPE NCC has transfered mainteinance of this toolset to ISC,
 who will be accepting code from the community and providing code mainteinance.
 .
 IRRToolSet is a suite of policy analysis tools to operate with routing
 policies in RPSL [RFC 2622] format, registered in Internet Routing Registry
 (IRR). The main goal of the project is to make routing information more
 convenient and useful for network engineers, by providing tools for automated
 router configuration, routing policies analysis, and maintenance.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jan wagner <waja@cyconet.org>:
Bug#392333; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jan wagner <waja@cyconet.org>. Full text and rfc822 format available.

Message #10 received at 392333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: debian-devel@lists.debian.org
Cc: 392333@bugs.debian.org
Subject: Re: Bug#392333: ITP: irrtoolset -- IRRToolSet is a suite of policy analysis tools to operate with routing policies in RPSL [RFC 2622] format, registered in Internet Routing Registry(IRR).
Date: Wed, 11 Oct 2006 17:12:12 +0200
[Message part 1 (text/plain, inline)]
On Oct 11, Jan Wagner <waja@cyconet.org> wrote:

> * Package name    : irrtoolset
Do you actually /use/ it?
The precedent version used to reliably segfault when I tried to process
non-trivial configurations.

>  The "Internet Routing Registry Toolset" (IRRToolSet) project is a new
The package history has no place in the Description field anyway.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format from ITP: irrtoolset -- IRRToolSet is a suite of policy analysis tools to operate with routing policies in RPSL [RFC 2622] format, registered in Internet Routing Registry(IRR).. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sun, 22 Apr 2007 10:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jan wagner <waja@cyconet.org>:
Bug#392333; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jan wagner <waja@cyconet.org>. Full text and rfc822 format available.

Message #17 received at 392333@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: 392333@bugs.debian.org
Subject: Re: Bug#392333: ITP: irrtoolset -- IRRToolSet is a suite of policy analysis tools to operate with routing policies in RPSL [RFC 2622] format, registered in Internet Routing Registry(IRR).
Date: Sun, 6 May 2007 11:53:11 +0200
[Message part 1 (text/plain, inline)]
Hi,

just for the records ... preliminary packages are available at 
http://ftp.cyconet.org/debian/archive/official/irrtoolset/4.8.5-1/

Actual I'm working with Daniel Baumann[¹] on copyright issues. There are more 
than 10 licenses und ~20 authors. This all is shuffled all over the files. 
Nearly 50% of the codebase is not used, cause the graphical tools are broken 
since years, but upstream will not remove the code about various reasons. 
This makes life working on copyright much more complicated.

With kind regards, Jan.
[¹] daniel@debian.org
-- 
Never write mail to <waja@spamfalle.info>, you have been warned!
-----BEGIN GEEK CODE BLOCK-----
Version: 3.1
GIT d-- s+: a- C+++ UL++++ P+ L+++ E- W+++ N+++ o++ K++ w--- O M V- PS PE
Y++ PGP++ t-- 5 X R tv- b+ DI- D++ G++ e++ h-- r+++ y+++
------END GEEK CODE BLOCK------
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Wagner <waja@cyconet.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 392333-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 392333-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 08 May 2008 11:59:29 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 392333
 stop

Further comments on the work done in the bug sent to
392333@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jun 2008 07:32:05 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Fri, 19 Jun 2009 13:18:02 GMT) Full text and rfc822 format available.

Bug reopened, originator set to Faidon Liambotis <paravoid@debian.org>. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Fri, 19 Jun 2009 13:18:03 GMT) Full text and rfc822 format available.

Owner changed from jan wagner <waja@cyconet.org> to Faidon Liambotis <paravoid@debian.org>. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Fri, 19 Jun 2009 13:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#392333; Package wnpp. (Fri, 19 Jun 2009 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 19 Jun 2009 13:57:02 GMT) Full text and rfc822 format available.

Message #35 received at 392333@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: 392333@bugs.debian.org
Cc: Jan Wagner <waja@cyconet.org>, Marco d'Itri <md@Linux.IT>, Daniel Baumann <daniel@debian.org>
Subject: ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format
Date: Fri, 19 Jun 2009 16:55:02 +0300
I'm ressurecting this, since upstream created a "cruft-removal" branch
(that apparently is going to be released as 5.0) removing old cruft,
automatically generated code and the such.

I'm hoping that copyright extraction would be much easier with this,
much more limited, tree but that remains to be seen.

(and yes, we actually use it at GRnet, AS5408, and we actually have a
complex enough RPSL; feel free to look it up at RIPE)

Regards,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Faidon Liambotis <paravoid@debian.org>:
Bug#392333; Package wnpp. (Fri, 19 Jun 2009 17:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jan Wagner" <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Faidon Liambotis <paravoid@debian.org>. (Fri, 19 Jun 2009 17:12:06 GMT) Full text and rfc822 format available.

Message #40 received at 392333@bugs.debian.org (full text, mbox):

From: "Jan Wagner" <waja@cyconet.org>
To: Faidon Liambotis <paravoid@debian.org>
Cc: 392333@bugs.debian.org
Subject: AW: [Fwd: ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format]
Date: Fri, 19 Jun 2009 19:07:07 +0200
Hi Faidon,

I did follow the mailinglist and recognised it. If you haven't any objections, we could propable maintain the package together. My rcs for the package is available at https://trac.cyconet.org/svn/debian/irrtoolset/

I'm not at home over weekend ... But I can give you write access when I'm back again.

With kind regards, Jan. 






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#392333; Package wnpp. (Fri, 19 Jun 2009 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 19 Jun 2009 17:24:02 GMT) Full text and rfc822 format available.

Message #45 received at 392333@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Jan Wagner <waja@cyconet.org>, 392333@bugs.debian.org
Subject: Re: Bug#392333: AW: [Fwd: ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format]
Date: Fri, 19 Jun 2009 20:20:01 +0300
On Fri, Jun 19, 2009 at 07:07:07PM +0200, Jan Wagner wrote:
> I did follow the mailinglist and recognised it. If you haven't any
> objections, we could propable maintain the package together. My rcs for the
> package is available at https://trac.cyconet.org/svn/debian/irrtoolset/
Err, too late :(

I've already created my own set of packages from scratch,
unaware of the state of yours. Actually, debian/rules it's just 4 lines with
debhelper 7 & dh :-)

Thanks anyway,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#392333; Package wnpp. (Wed, 17 Mar 2010 02:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Mar 2010 02:54:02 GMT) Full text and rfc822 format available.

Message #50 received at 392333@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Jan Wagner <waja@cyconet.org>
Cc: 392333@bugs.debian.org
Subject: Re: [Fwd: Re: Bug#392333: AW: [Fwd: ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format]]
Date: Wed, 17 Mar 2010 04:14:38 +0200
Jan, hi,

[ Cc'ing the ITP ]

Jan Wagner wrote:
> I agree with you, that maintaining the package isn't a big trick. From the 
> last releases, the biggest issue was the review of the copyright/license 
> changes and probably maintaining additional patches.
I'm not sure if you follow upstream's list so I'll repeat some stuff anyway.

Some months ago I contacted some of the original authors about the
licensing mess. The main author, Cengiz Alaettinoglu, who did the work
for ISI/USC back then but has since left, promptly replied and was able
to reach some of his old colleagues who convinced USC's management to a
relicensing.

All in all, we had a happy ending and all of the weird non-free
licensing, including the stuff that had IBM copyrights(!) have been
cleared and the license has been replaced by a standard MIT one!

Nick and Shane were aware of this and were holding off the 5.0.0 release
(the cruft-cleanout one)  so that it can be released with the new
license. 4.8.6 (= MIT-licensed 4.8.5) was released today, so 5.0.0 will
soon follow.

However, there are also some bad news: the project has been pronounced
dead at the last RIPE summit by Nick. He has worked on it for over a
year and decided that the software is broken beyond repair -- he's the
one that cleaned up all the cruft. I objected and several others were
not very happy about it; if you're not subscribed, have a look at the
archives for the discussion that followed.

I'm not sure how to proceed. I think the best course would be to wait a
bit and see before uploading to Debian.

Regards,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Faidon Liambotis <paravoid@debian.org>:
Bug#392333; Package wnpp. (Wed, 17 Mar 2010 22:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Faidon Liambotis <paravoid@debian.org>. (Wed, 17 Mar 2010 22:30:06 GMT) Full text and rfc822 format available.

Message #55 received at 392333@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: Faidon Liambotis <paravoid@debian.org>
Cc: 392333@bugs.debian.org
Subject: Re: [Fwd: Re: Bug#392333: AW: [Fwd: ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format]]
Date: Wed, 17 Mar 2010 23:27:19 +0100
[Message part 1 (text/plain, inline)]
Hi Faidon,

On Wednesday, 17. March 2010, Faidon Liambotis wrote:
> I'm not sure if you follow upstream's list so I'll repeat some stuff
> anyway.

I did, with half of an eye. :)
 
> Some months ago I contacted some of the original authors about the
> licensing mess. The main author, Cengiz Alaettinoglu, who did the work
> for ISI/USC back then but has since left, promptly replied and was able
> to reach some of his old colleagues who convinced USC's management to a
> relicensing.
> 
> All in all, we had a happy ending and all of the weird non-free
> licensing, including the stuff that had IBM copyrights(!) have been
> cleared and the license has been replaced by a standard MIT one!
> 
> Nick and Shane were aware of this and were holding off the 5.0.0 release
> (the cruft-cleanout one)  so that it can be released with the new
> license. 4.8.6 (= MIT-licensed 4.8.5) was released today, so 5.0.0 will
> soon follow.
> 
> However, there are also some bad news: the project has been pronounced
> dead at the last RIPE summit by Nick. He has worked on it for over a
> year and decided that the software is broken beyond repair -- he's the
> one that cleaned up all the cruft. I objected and several others were
> not very happy about it; if you're not subscribed, have a look at the
> archives for the discussion that followed.
> 
> I'm not sure how to proceed. I think the best course would be to wait a
> bit and see before uploading to Debian.

I would consider it for post squeeze or just only for experimental.

Many thanks and with kind regards, Jan.
-- 
Never write mail to <waja@spamfalle.info>, you have been warned!
-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V- PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Faidon Liambotis <paravoid@debian.org>:
Bug#392333; Package wnpp. (Sat, 19 Feb 2011 17:44:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Faidon Liambotis <paravoid@debian.org>. (Sat, 19 Feb 2011 17:44:28 GMT) Full text and rfc822 format available.

Message #60 received at 392333@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 392333@bugs.debian.org
Cc: control@bugs.debian.org
Subject: irrtoolset: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 16:59:29 +0000
retitle 392333 RFP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format
noowner 392333
thanks

Hi,

This is an automatic email to change the status of irrtoolset back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting irrtoolset, please send a mail to
<control@bugs.debian.org> with:

 retitle 392333 ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format
 owner 392333 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <392333@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format' from 'ITP: irrtoolset -- policy analysis tools to operate with routing policies in RPSL format' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:27 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Faidon Liambotis <paravoid@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:56:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.